/*
 *  clueless-kmeans is a variant of k-means which enforces balanced
 *  distribution of classes in every cluster
 *
 *  Copyright (c) 2013 Idiap Research Institute, http://www.idiap.ch/
 *  Written by Francois Fleuret <francois.fleuret@idiap.ch>
 *
 *  This file is part of clueless-kmeans.
 *
 *  clueless-kmeans is free software: you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  version 3 as published by the Free Software Foundation.
 *
 *  clueless-kmeans is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with selector.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "sample_set.h"
#include "arrays.h"

SampleSet::SampleSet() {
  labels = 0;
  points = 0;
}

SampleSet::~SampleSet() {
  delete[] labels;
  deallocate_array<scalar_t>(points);
}

void SampleSet::resize(int d, int np) {
  delete[] labels;
  deallocate_array<scalar_t>(points);
  nb_points = np;
  dim = d;
  points = allocate_array<scalar_t>(nb_points, dim);
  labels = new int[nb_points];
}

